#if !defined(AFX_TRADESET_H__B9D57B8A_2218_11D4_9FB5_080009EE62AA__INCLUDED_)
#define AFX_TRADESET_H__B9D57B8A_2218_11D4_9FB5_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TradeSet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTradeSet recordset

class CTradeSet : public CRecordset
{
public:
	int GetNextID();
	bool Select( int StockID );
	CTradeSet(CDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CTradeSet)

// Field/Param Data
	//{{AFX_FIELD(CTradeSet, CRecordset)
	double	m_Change;
	double	m_Price;
	long	m_StockID;
	CTime	m_TradeDate;
	long	m_TradeID;
	//}}AFX_FIELD

	bool m_IsNew;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTradeSet)
	public:
	virtual CString GetDefaultConnect();    // Default connection string
	virtual CString GetDefaultSQL();    // Default SQL for Recordset
	virtual void DoFieldExchange(CFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRADESET_H__B9D57B8A_2218_11D4_9FB5_080009EE62AA__INCLUDED_)
